Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2KEXDHGroup1SHA1

    java.lang.Object
      com.mindbright.ssh2.SSH2KeyExchanger
          com.mindbright.ssh2.SSH2KEXDHGroup1SHA1

Direct Known Subclasses:
  SSH2KEXDHGroupXSHA1

public class SSH2KEXDHGroup1SHA1
extends SSH2KeyExchanger

Implements diffie hellman key exchange using a predefined group. This algorithm is known as 'diffie-hellman-group1-sha1'

Field Summary
`protected java.math.BigInteger` | `clientE`
`protected DHPrivateKey` | `dhPrivateKey`
`protected DHPublicKey` | `dhPublicKey`
`protected byte[]` | `exchangeHash_H`
`static java.math.BigInteger` | `group1G`
`static java.math.BigInteger` | `group1P`
`protected java.math.BigInteger` | `serverF`
`protected byte[]` | `serverHostKey`
`protected MessageDigest` | `sha1`
`protected byte[]` | `sharedSecret_K`
`protected SSH2Transport` | `transport`

Constructor Summary
`SSH2KEXDHGroup1SHA1()`

Method Summary
`protected void` | `computeExchangeHash_H()`
`protected void` | `computeSharedSecret_K(DHPublicKeySpec peerPubSpec)`
`protected MessageDigest` | `createHash()`
`protected void` | `generateDHKeyPair(DHParameterSpec dhParams)`
`byte[]` | `getExchangeHash_H()`
`MessageDigest` | `getExchangeHashAlgorithm()`
`java.lang.String` | `getHostKeyAlgorithms()`
`byte[]` | `getSharedSecret_K()`
`void` | `init(SSH2Transport transport)`
`void` | `processKEXMethodPDU(SSH2TransportPDU pdu)`
`protected void` | `sendDHINIT(int type)`

Methods inherited from class com.mindbright.ssh2.SSH2KeyExchanger
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### group1P

    public static final java.math.BigInteger group1P

### group1G

    public static final java.math.BigInteger group1G

### transport

    protected SSH2Transport transport

### dhPublicKey

    protected DHPublicKey dhPublicKey

### dhPrivateKey

    protected DHPrivateKey dhPrivateKey

### serverHostKey

    protected byte[] serverHostKey

### serverF

    protected java.math.BigInteger serverF

### clientE

    protected java.math.BigInteger clientE

### sharedSecret_K

    protected byte[] sharedSecret_K

### exchangeHash_H

    protected byte[] exchangeHash_H

### sha1

    protected MessageDigest sha1

Constructor Detail

### SSH2KEXDHGroup1SHA1

    public SSH2KEXDHGroup1SHA1()

Method Detail

### init

    public void init(SSH2Transport transport)
              throws SSH2Exception

  Specified by:
    `init` in class `SSH2KeyExchanger`
  Throws:
    `SSH2Exception`

### processKEXMethodPDU

    public void processKEXMethodPDU(SSH2TransportPDU pdu)
                             throws SSH2Exception

  Specified by:
    `processKEXMethodPDU` in class `SSH2KeyExchanger`
  Throws:
    `SSH2Exception`

### getExchangeHashAlgorithm

    public MessageDigest getExchangeHashAlgorithm()

  Specified by:
    `getExchangeHashAlgorithm` in class `SSH2KeyExchanger`

### getSharedSecret_K

    public byte[] getSharedSecret_K()

  Specified by:
    `getSharedSecret_K` in class `SSH2KeyExchanger`

### getExchangeHash_H

    public byte[] getExchangeHash_H()

  Specified by:
    `getExchangeHash_H` in class `SSH2KeyExchanger`

### getHostKeyAlgorithms

    public java.lang.String getHostKeyAlgorithms()

  Specified by:
    `getHostKeyAlgorithms` in class `SSH2KeyExchanger`

### computeExchangeHash_H

    protected void computeExchangeHash_H()

### computeSharedSecret_K

    protected void computeSharedSecret_K(DHPublicKeySpec peerPubSpec)
                                  throws SSH2Exception

  Throws:
    `SSH2Exception`

### sendDHINIT

    protected void sendDHINIT(int type)
                       throws SSH2Exception

  Throws:
    `SSH2Exception`

### createHash

    protected MessageDigest createHash()
                                throws SSH2Exception

  Throws:
    `SSH2Exception`

### generateDHKeyPair

    protected void generateDHKeyPair(DHParameterSpec dhParams)
                              throws SSH2Exception

  Throws:
    `SSH2Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD